Debian Bug report logs - #623974
No more working touchscreen on my FreeRunner after upgrading to 0.0.6-6

version graph

Package: libts-0.0-0; Maintainer for libts-0.0-0 is Debian QA Group <packages@qa.debian.org>; Source for libts-0.0-0 is src:tslib.

Reported by: Gilles Filippini <pini@debian.org>

Date: Sun, 24 Apr 2011 23:15:01 UTC

Severity: important

Tags: patch

Merged with 623095

Found in version tslib/1.0-8

Fixed in version tslib/1.0-9

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-fso-maint@lists.alioth.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#623974; Package xserver-xorg-input-tslib. (Sun, 24 Apr 2011 23:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gilles Filippini <pini@debian.org>:
New Bug report received and forwarded. Copy sent to pkg-fso-maint@lists.alioth.debian.org, Debian Embedded <debian-embedded@lists.debian.org>. (Sun, 24 Apr 2011 23:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gilles Filippini <pini@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: No more working touchscreen on my FreeRunner after upgrading to 0.0.6-6
Date: Mon, 25 Apr 2011 01:11:02 +0200
[Message part 1 (text/plain, inline)]
Package: xserver-xorg-input-tslib
Version: 0.0.6-6
Severity: important

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hi,

After upgrading my OpenMoko FreeRunner today, the touchscreen isn't working
anymore. This upgrade pulled X.org 1.9 and xserver-xorg-input-tslib 0.0.6-6.

You'll find attached my xorg.conf file and the X server logs where I don't
see any error.

Thanks in advance for any hint!

_g.

- -- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: armel

Kernel: linux-image-2.6.29-openmoko-gta02 20100118.gita15608f2-2
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEcBAEBCAAGBQJNtK37AAoJEO/obGx//s+Do7gIAIiKsd6xj9xqQSwG3S0iHx7B
HzLwOygAlEEGqx4CEsfsivQD5iREPrZbdqaOH/7/gRPAo/YQ8ch1ltCxktuBrnig
sad3xp1ZBqVIN6Ctvt+UOT5DUWjlpJRzwlLjPt6VvUvVyKJ7roZbd0sxwOWdz9tN
PVebIber/LczGIIyDZ3q8EFvI1iXWzOX+SW+CAsN7eBq51+49g+9Uv8SNadPeJMd
vEG1jcaoH3bCwIzAYOEWDPWAF1qz43V7RKgW5+B5QykrKf4Qd2evtl2weTuNrCxu
t2fPi/eZ8g8c6ENwV8lcE27/lO3OOAQloVvf3eoY+15XJ6Y1eAkoEGiq64gjfT8=
=doGS
-----END PGP SIGNATURE-----
[xorg.conf (text/plain, attachment)]
[Xorg.0.log (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#623974; Package xserver-xorg-input-tslib. (Sun, 24 Apr 2011 23:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Sun, 24 Apr 2011 23:36:07 GMT) Full text and rfc822 format available.

Message #10 received at 623974@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Gilles Filippini <pini@debian.org>, 623974@bugs.debian.org, 623095@bugs.debian.org
Subject: Re: [pkg-fso-maint] Bug#623974: No more working touchscreen on my FreeRunner after upgrading to 0.0.6-6
Date: Mon, 25 Apr 2011 01:32:51 +0200
[Message part 1 (text/plain, inline)]
On Mon, 25 Apr 2011 01:11:02 +0200, Gilles Filippini wrote:

> After upgrading my OpenMoko FreeRunner today, the touchscreen isn't working
> anymore. This upgrade pulled X.org 1.9 and xserver-xorg-input-tslib 0.0.6-6.

This sounds more like #623095: "libts-0.0-0: [REGRESSION 1.0-7 =>
1.0-8] "selected device is not a touchscreen I understand" on openmoko"
 
Cheers,
gregor

-- 
 .''`.   Homepage: http://info.comodo.priv.at/ - PGP/GPG key ID: 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Bob Dylan: Like A Rolling Stone
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#623974; Package xserver-xorg-input-tslib. (Mon, 25 Apr 2011 09:54:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gilles Filippini <pini@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Mon, 25 Apr 2011 09:54:17 GMT) Full text and rfc822 format available.

Message #15 received at 623974@bugs.debian.org (full text, mbox):

From: Gilles Filippini <pini@debian.org>
To: gregor herrmann <gregoa@debian.org>
Cc: 623974@bugs.debian.org, 623095@bugs.debian.org
Subject: Re: [pkg-fso-maint] Bug#623974: No more working touchscreen on my FreeRunner after upgrading to 0.0.6-6
Date: Mon, 25 Apr 2011 11:49:59 +0200
[Message part 1 (text/plain, inline)]
reassing 623974 libts-0.0.0 1.0-8
forcemerge 623095 623974
thanks

gregor herrmann a écrit , Le 25/04/2011 01:32:
> On Mon, 25 Apr 2011 01:11:02 +0200, Gilles Filippini wrote:
> 
>> After upgrading my OpenMoko FreeRunner today, the touchscreen isn't working
>> anymore. This upgrade pulled X.org 1.9 and xserver-xorg-input-tslib 0.0.6-6.
> 
> This sounds more like #623095: "libts-0.0-0: [REGRESSION 1.0-7 =>
> 1.0-8] "selected device is not a touchscreen I understand" on openmoko"

I can confirm this is #623095 indeed. Reverting libts-0.0.0 to 1.0-7
makes the touchscreen functional again.

Many thanks,

_g.

[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'xserver-xorg-input-tslib' to 'libts-0.0.0'. Request was from Gilles Filippini <pini@debian.org> to control@bugs.debian.org. (Mon, 25 Apr 2011 10:09:20 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions xf86-input-tslib/0.0.6-6. Request was from Gilles Filippini <pini@debian.org> to control@bugs.debian.org. (Mon, 25 Apr 2011 10:09:21 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 1.0-8. Request was from Gilles Filippini <pini@debian.org> to control@bugs.debian.org. (Mon, 25 Apr 2011 10:09:22 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libts-0.0.0' to 'tslib'. Request was from Gilles Filippini <pini@debian.org> to control@bugs.debian.org. (Mon, 25 Apr 2011 10:18:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 1.0-8. Request was from Gilles Filippini <pini@debian.org> to control@bugs.debian.org. (Mon, 25 Apr 2011 10:18:04 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 1.0-8. Request was from Gilles Filippini <pini@debian.org> to control@bugs.debian.org. (Mon, 25 Apr 2011 10:18:04 GMT) Full text and rfc822 format available.

Bug reassigned from package 'tslib' to 'libts-0.0-0'. Request was from Gilles Filippini <pini@debian.org> to control@bugs.debian.org. (Mon, 25 Apr 2011 10:27:22 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 1.0-8. Request was from Gilles Filippini <pini@debian.org> to control@bugs.debian.org. (Mon, 25 Apr 2011 10:27:26 GMT) Full text and rfc822 format available.

Bug Marked as found in versions tslib/1.0-8. Request was from Gilles Filippini <pini@debian.org> to control@bugs.debian.org. (Mon, 25 Apr 2011 10:27:26 GMT) Full text and rfc822 format available.

Forcibly Merged 623095 623974. Request was from Gilles Filippini <pini@debian.org> to control@bugs.debian.org. (Mon, 25 Apr 2011 10:27:30 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Timo Juhani Lindfors <timo.lindfors@iki.fi> to control@bugs.debian.org. (Tue, 07 Jun 2011 11:55:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 13 Aug 2011 07:35:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:40:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.